summaryrefslogtreecommitdiff
path: root/standalone
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2013-12-05 17:17:35 -0400
committerGravatar Joey Hess <joey@kitenet.net>2013-12-05 17:17:35 -0400
commit3defd4aa3a8beeaf2e225500c52e0d5f14d540bf (patch)
tree23098254c44a0ecd4ac6d6895737407311348e22 /standalone
parent45cfa691bdeeeb23b3638706f199d34a0b5b7e03 (diff)
try to build with a gcc response file
Diffstat (limited to 'standalone')
-rw-r--r--standalone/windows/build.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/standalone/windows/build.sh b/standalone/windows/build.sh
index cba4d87d1..58b2d2243 100644
--- a/standalone/windows/build.sh
+++ b/standalone/windows/build.sh
@@ -41,8 +41,15 @@ touch last-incremental-failed
# Build git-annex
withcyg cabal configure
-withcyg cabal build
-
+withcyg cabal build || true
+
+# Works around link failure https://ghc.haskell.org/trac/ghc/ticket/8596
+# using a response file.
+rm -f build.log gcc.opt
+withcyg cabal build --ghc-options='-v -keep-tmp-files' > build.log 2>&1
+grep '"dist\\build\\git-annex\\git-annex.exe"' build.log | sed -e 's/^"[^"]*" //' -e 's/\\/\//g' > gcc.opt
+gcc @gcc.opt
+
# Build the installer
cabal install nsis
ghc --make Build/NullSoftInstaller.hs